# Class PrivateCredentialPermission

java.lang.Object
java.security.Permission
javax.security.auth.PrivateCredentialPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class PrivateCredentialPermission extends Permission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is used to protect access to private Credentials belonging to a particular `Subject`. The `Subject` is represented by a Set of Principals.

The target name of this `Permission` specifies a Credential class name, and a Set of Principals. The only valid value for this Permission's actions is, "read". The target name must abide by the following syntax:

         CredentialClass {PrincipalClass "PrincipalName"}*

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PrivateCredentialPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `PrivateCredentialPermission` with the specified `name`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Deprecated, for removal: This API element is subject to removal in a future version.
Checks two `PrivateCredentialPermission` objects for equality.
`String`
`getActions()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the "canonical string representation" of the actions.
`String`
`getCredentialClass()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the Class name of the Credential associated with this `PrivateCredentialPermission`.
`String[][]`
`getPrincipals()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the `Principal` classes and names associated with this `PrivateCredentialPermission`.
`int`
`hashCode()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the hash code value for this object.
`boolean`
`implies(Permission p)`
Deprecated, for removal: This API element is subject to removal in a future version.
Checks if this `PrivateCredentialPermission` implies the specified `Permission`.
`PermissionCollection`
`newPermissionCollection()`
Deprecated, for removal: This API element is subject to removal in a future version.
Return a homogeneous collection of PrivateCredentialPermissions in a `PermissionCollection`.

### Methods declared in class Permission

`checkGuard, getName, toString`
Modifier and Type
Method
Description
`void`
`checkGuard(Object object)`
Implements the guard interface for a permission.
`final String`
`getName()`
Returns the name of this `Permission`.
`String`
`toString()`
Returns a string describing this `Permission`.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### PrivateCredentialPermission

public PrivateCredentialPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `PrivateCredentialPermission` with the specified `name`. The `name` specifies both a Credential class and a `Principal` Set.

Parameters:
  `name` - the name specifying the Credential class and `Principal` Set.
  `actions` - the actions specifying that the Credential can be read.
Throws:
  `IllegalArgumentException` - if `name` does not conform to the correct syntax or if `actions` is not "read".

## Method Details

### getCredentialClass

public String getCredentialClass()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the Class name of the Credential associated with this `PrivateCredentialPermission`.

Returns:
  the Class name of the Credential associated with this `PrivateCredentialPermission`.

### getPrincipals

public String[][] getPrincipals()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the `Principal` classes and names associated with this `PrivateCredentialPermission`. The information is returned as a two-dimensional array (array[x][y]). The 'x' value corresponds to the number of `Principal` class and name pairs. When (y==0), it corresponds to the `Principal` class value, and when (y==1), it corresponds to the `Principal` name value. For example, array[0][0] corresponds to the class name of the first `Principal` in the array. array[0][1] corresponds to the `Principal` name of the first `Principal` in the array.

Returns:
  the `Principal` class and names associated with this `PrivateCredentialPermission`.

### implies

public boolean implies(Permission p)
Deprecated, for removal: This API element is subject to removal in a future version.
Checks if this `PrivateCredentialPermission` implies the specified `Permission`.

This method returns true if:

- `p` is an instanceof PrivateCredentialPermission and
- the target name for `p` is implied by this object's target name. For example:

       [* P1 "duke"] implies [a.b.Credential P1 "duke"].
       [C1 P1 "duke"] implies [C1 P1 "duke" P2 "dukette"].
       [C1 P2 "dukette"] implies [C1 P1 "duke" P2 "dukette"].

Specified by:
  `implies` in class `Permission`
Parameters:
  `p` - the `Permission` to check against.
Returns:
  true if this `PrivateCredentialPermission` implies the specified `Permission`, false if not.

### equals

public boolean equals(Object obj)
Deprecated, for removal: This API element is subject to removal in a future version.
Checks two `PrivateCredentialPermission` objects for equality. Checks that `obj` is a `PrivateCredentialPermission`, and has the same credential class as this object, as well as the same Principals as this object. The order of the Principals in the respective Permission's target names is not relevant.

Specified by:
  `equals` in class `Permission`
Parameters:
  `obj` - the object we are testing for equality with this object.
Returns:
  true if obj is a `PrivateCredentialPermission`, has the same credential class as this object, and has the same Principals as this object.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the hash code value for this object.

Specified by:
  `hashCode` in class `Permission`
Returns:
  the hash code value for this object
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`

### getActions

public String getActions()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the "canonical string representation" of the actions. This method always returns the String, "read".

Specified by:
  `getActions` in class `Permission`
Returns:
  the actions (always returns "read").

### newPermissionCollection

public PermissionCollection newPermissionCollection()
Deprecated, for removal: This API element is subject to removal in a future version.
Return a homogeneous collection of PrivateCredentialPermissions in a `PermissionCollection`. No such `PermissionCollection` is defined, so this method always returns `null`.

Overrides:
  `newPermissionCollection` in class `Permission`
Returns:
  null in all cases.